namespace SharpRSS.API.Contracts.DTO
{
    public record ApiKey()
    {
        public string Key { get; }
        public string Usage { get; }
        public KeyStatus Status { get; }
        public string Message { get; }
    }

    public enum KeyStatus
    {
        Active,
        Disabled,
        Unavailable
    }
}